set tALK OFF

IF USED("contact")
	SELECT contact
	SET ORDER TO ln
ELSE
	SELECT 0
	USE (LOCFILE("contact.dbf","DBF","Where is contact?"));
		AGAIN ALIAS contact ;
		ORDER ln
ENDIF


*-default seek field
s_seek_fld = "contact.LN"

*--browse for clause
s_forclause = "1=1"

*--browse field expression  !!must have brx_fldh() !! F() call
s_fld_expressn = [ ;
ln:22:H="LAST NAME (ctrl+home)":W=brx_FldWh(), phone:22:H="phone # (ctrl+home)":W=brx_FldWh(), fice:22:H="COLLEGE ID (^home)":W=brx_FldWh(), fn:H="FIRST NAME":W=brx_FldWh() ]

s_wind_title = "Browse"
s_cur_alias  = "CONTACT"

*--tokenize the array columns
nSeekFld = 1
nTagName = 2
nObjName = 3
nUserDesc= 4
nBrowFld = 5
nFlag    = 6

*--def. push button objects & properties array 
DIMENSION a_objects[ 3, 6 ]
a_objects[ 1, nSeekFld ] = "contact.LN"
a_objects[ 1, nTagName ] = "LN"
a_objects[ 1, nObjName ] = "LN_OBJ"
a_objects[ 1, nUserDesc] = "Last Name"
a_objects[ 1, nBrowFld ] = "LN"
a_objects[ 1, nFlag    ] = .F.

a_objects[ 2, nSeekFld ] = "contact.fice"
a_objects[ 2, nTagName ] = "fice"
a_objects[ 2, nObjName ] = "FICE_OBJ"
a_objects[ 2, nUserDesc] = "College ID"
a_objects[ 2, nBrowFld ] = "FICE"
a_objects[ 2, nFlag    ] = .F.

a_objects[ 3, nSeekFld ] = "contact.phone"
a_objects[ 3, nTagName ] = "phone"
a_objects[ 3, nObjName ] = "PH_OBJ"
a_objects[ 3, nUserDesc] = "Phone #"
a_objects[ 3, nBrowFld ] = "PHONE"
a_objects[ 3, nFlag    ] = .F.

nRow1 = 1
nCol1 = 1
nRow2 = SROWS()-1
nCol2 = SCOLS()-1

? browse_x(s_wind_title, ;
           nRow1, nCol1, nRow2, nCol2, ;
           s_forclause, s_fld_expressn, ;
           s_seek_fld, @a_objects )
           
           
CLOSE DATA

RETURN


*-------------------------------------------------------------------
*
*   FUNCTION browse_x           
*   
*    SYNTAX:
*    ? browse_x( <expC1> ;   && window title
*                <expN1> ;   && top row
*                <expN2> ;   && top col
*                <expN3> ;   && end row
*                <expN4> ;   && end col
*                <expC2> ;   && browse-for clause
*                <expC3> ;   && browse-field expression * each field must make a call to brx_FldWh()
*                <expC4> ;   && name of seek field
*                <expC5> ;   && array of button objects & associated meanings (remember to pass by reference)
*    
*
*   BROWSE STRING EXAMPLE:
*   s_fld_expressn = [ role.role_name :H="ROLE NAME (^home)" :W=brx_FldWh() ]
*
*   ARRAY example:
*   DIMENSION a_objects[ 3, 6 ]
*   a_objects[ 1, nSeekFld ] = "contact.LN" && the seek field
*   a_objects[ 1, nTagName ] = "LN"         && the index tag name
*   a_objects[ 1, nObjName ] = "LN_OBJ"     && an arbitrary name
*   a_objects[ 1, nUserDesc] = "Last Name"  && what the user sees
*   a_objects[ 1, nBrowFld ] = "LN"         && the browse field's name
*   a_objects[ 1, nFlag    ] = .F.          && a flag
*    
*-------------------------------------------------------------------
